# Pending Orders

> Return the working/inactive orders for the specified trading account.

Source: /admin/accounts-funding/trading/accounts-service_-orders-list

## `GET /accounts/{id}/orders`

**Pending Orders**

Return the working/inactive orders for the specified trading account.

Tags: `Trading`

#### Path parameters

- `id` (string) (required)


### Responses

#### `200` — A successful response.

**Content-Type:** `application/json`

List of currently open / working orders for an account.
- `orders` (array)
  - items:
    A working or completed trading instruction on an account: market, limit, stop,
or protection (SL/TP). Carries side, type, time-in-force, status, requested protection
distances/prices, and the fill price once executed.
    - `id` (string)
    - `accountId` (string)
    - `groupId` (string)
    - `symbolId` (string)
    - `symbolName` (string)
    - `positionId` (string)
    - `clientOrderId` (string)
    - `ipAddress` (string)
    - `managerId` (string)
    - `parentOrderId` (string)
    - `cancelsOrderId` (string)
    - `venueId` (string)
    - `venueOrderId` (string)
    - `createdAt` (string)
    - `updatedAt` (string)
    - `expirationDate` (string)
    - `qtyOriginal` (number)
    - `qtyFilled` (number)
    - `seenPrice` (number)
    - `limitPrice` (number)
    - `stopPrice` (number)
    - `slippage` (number)
    - `isClosing` (boolean) — Is this a closing order
    - `trailingOffset` (string)
    - `trailingStep` (string)
    - `stopLossPts` (string)
    - `takeProfitPts` (string)
    - `stopLossPrice` (number)
    - `takeProfitPrice` (number)
    - `status` (string)
      - enum: `ORDER_STATUS_UNSPECIFIED`, `ORDER_STATUS_STARTED`, `ORDER_STATUS_INACTIVE`, `ORDER_STATUS_ACCEPTED`, `ORDER_STATUS_WORKING`, `ORDER_STATUS_PENDING_EXECUTION`, `ORDER_STATUS_P_FILLED`, `ORDER_STATUS_FILLED`, `ORDER_STATUS_CANCELED`, `ORDER_STATUS_REJECTED`, `ORDER_STATUS_EXPIRED`
    - `side` (string)
      - enum: `TRADE_SIDE_UNSPECIFIED`, `TRADE_SIDE_BUY`, `TRADE_SIDE_SELL`
    - `type` (string)
      - enum: `ORDER_TYPE_UNSPECIFIED`, `ORDER_TYPE_MARKET`, `ORDER_TYPE_LIMIT`, `ORDER_TYPE_STOP`, `ORDER_TYPE_STOP_LIMIT`, `ORDER_TYPE_TRAILING_STOP`
    - `timeInForce` (string)
      - enum: `ORDER_TIF_UNSPECIFIED`, `ORDER_TIF_FILL_OR_KILL`, `ORDER_TIF_GOOD_TILL_CANCEL`, `ORDER_TIF_IMMEDIATE_OR_CANCEL`, `ORDER_TIF_GOOD_TILL_DATE`, `ORDER_TIF_GOOD_TILL_DAY`
    - `comment` (string)
    - `fillPrice` (number)
    - `fillPriceRaw` (number)
    - `unitsOriginal` (number)
    - `unitsFilled` (number)
    - `completed` (boolean)
    - `initialMargin` (number)
    - `triggerQuote` (object) — Top-of-book bid/ask snapshot for a symbol at a point in time, used for streaming
market data and to record the trigger price on filled orders.
      Top-of-book bid/ask snapshot for a symbol at a point in time, used for streaming
market data and to record the trigger price on filled orders.
      - `symbolId` (string)
      - `bid` (number)
      - `ask` (number)
      - `volume` (string)
      - `datetime` (string)
    - `md` (string)

#### `default` — An unexpected error response.

**Content-Type:** `application/json`

- `code` (integer)
- `message` (string)
- `details` (array)
  - items:
    - `@type` (string)

